<template>
  <div class="project-search">
    <dataSearch @bindSetQuery="setQuery"></dataSearch>
    <dataList
      :queryForm="queryForm"
      :allowEdit="checkAuth('/document/update')"
      :allowDelete="checkAuth('/document/delete')"
    ></dataList>
  </div>
</template>
  
  <script>
import { mapGetters } from "vuex";
import { dataSearch, dataList } from "./components";
export default {
  components: {
    dataSearch,
    dataList,
  },
  computed: {
    ...mapGetters(["roleInfo", "authList"]),
  },

  data() {
    return {
      queryForm: {
        page: 1,
        pageSize: 10,
        title: "",
        category_id: "",
        status: "",
      },
    };
  },
  methods: {
    checkAuth(path) {
     /*  if (this.roleInfo.is_admin == 1) {
        return true;
      } */
      /* let auth=this.authList.filter(o=>o.type==999 && o.path==path);
          if(auth.length>0){
            return true;
          } */
      return true;
    },

    setQuery(e) {
      this.queryForm = e;
    },
  },
};
</script>
  
  <style lang="scss">
.project-search {
  padding: 30px;
  font-size: 12px;
}
</style>
  